import React from 'react';
import { useRequests } from './requests.js';
import styled from 'styled-components';
import * as ajaxLogo from './assets/ajax.svg';
import { StyledImg } from './styled-components';
const SfToolbarValue = ({ count }) => {
    return count > 0 ? React.createElement("span", null, count) : null;
};
const SfToolbarIcon = styled.div `
  display: flex;
  align-content: center;
`;
export const AjaxInfo = () => {
    const { responses } = useRequests();
    return (React.createElement(SfToolbarIcon, { className: 'sf-toolbar-icon' },
        React.createElement(StyledImg, { width: 24, height: 24, src: ajaxLogo.default, alt: 'Ajax Request Info' }),
        React.createElement(SfToolbarValue, { count: responses.length })));
};
//# sourceMappingURL=ajax-info.js.map