import React from 'react';
import * as symfonyLogo from './assets/symfony.svg';
import { AjaxInfo } from './ajax-info.js';
import { RequestsProvider } from './requests.js';
import { RequestsTable } from './requests-table';
import styled from 'styled-components';
import { StyledImg } from './styled-components';
const StyledWebDebugToolbar = styled.div `
  background-color: #222;
  color: #eee;
  border-top-left-radius: 4px;
  height: 36px;
  position: fixed;
  padding: 0 6px;
  right: 0;
  bottom: 0;
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;
`;
const SfToolbarBlock = styled.div `
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;

  .sf-toolbar-info {
    display: none;
  }

  &:hover {
    .sf-toolbar-info {
      display: block;
    }
  }
`;
export const SymfonyWebDebugToolbar = ({ tokenHeader = 'x-debug-token', tokenLinkHeader = 'x-debug-token-link', }) => {
    return (React.createElement(StyledWebDebugToolbar, null,
        React.createElement(RequestsProvider, { tokenHeader: tokenHeader, tokenLinkHeader: tokenLinkHeader },
            React.createElement(SfToolbarBlock, null,
                React.createElement(AjaxInfo, null),
                React.createElement(RequestsTable, null)),
            React.createElement(StyledImg, { width: 24, height: 24, src: symfonyLogo.default, alt: 'Symfony Debug Toolbar' }))));
};
//# sourceMappingURL=symfony-web-debug-toolbar.js.map